<!DOCTYPE html>

<%@page import="java.io.File"%>
<%@page import="java.lang.management.MemoryUsage"%>
<%@page import="java.lang.management.ManagementFactory"%>
<%@page import="java.lang.management.MemoryType"%>
<%@page import="java.lang.management.MemoryPoolMXBean"%>
<%@page import="java.lang.management.RuntimeMXBean"%>
<%

%>


<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="">
<meta name="author" content="">
<title>MaintainJ - Reverse Engineer Java Like Never Before</title>
<meta name="description" content="MaintainJ, an Eclipse plug-in, generates UML sequence and class diagrams for a given use case, helping users to quickly understand a complex Java/J2EE application. MaintainJ logs runtime method execution trace and uses that to render sequence and class diagrams ">
<meta name="keywords" content="Automatic Sequence Diagram, Eclipse plugin, Generate Eclipse UML Diagram, Generate Eclipse Sequence Diagram, Debug Java, Reverse Engineer Sequence Diagram,Class Diagrams, Debug Sequence Diagram, Reverse Engineering">
<!-- Bootstrap Core CSS -->
<link href="css/bootstrap.min.css" rel="stylesheet">

<!-- Custom CSS -->
<link href="css/default.css" rel="stylesheet">

<!-- Custom Fonts -->
<link href="css/font-awesome.min.css" rel="stylesheet" type="text/css">

<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->



</head>






<body id="header">
<!-- Navigation -->
<nav class="navbar navbar-inverse" role="navigation">
  <div class="container">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1"> <span class="sr-only">Toggle navigation</span> <span class="icon-bar"></span> <span class="icon-bar"></span> <span class="icon-bar"></span> </button>
      <a class="navbar-brand" href="index.jsp">MaintainJ</a> </div>
    <!-- Collect the nav links, forms, and other content for toggling -->
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
      <ul class="nav navbar-nav navbar-right">
        <li> <a href="index.jsp">Home</a> </li>
      </ul>
    </div>
    <!-- /.navbar-collapse -->
  </div>
  <!-- /.container -->
</nav>



<div id="configure">
  <section id="whitebg" class="wow fadeIn" style="display: block;">
    <div class="container">
		<h2>JVM memory stats</h2>		
		<%
		long mbSize = 1024*1024;
		Runtime runtime = Runtime.getRuntime();
		out.println("<h3>Free memory:" + runtime.freeMemory()/mbSize 
				+ "MB Max memory:" + runtime.maxMemory()/mbSize + "MB</h3>"); 
			//+ runtime.maxMemory()/1000000 + "MB -Free:"+runtime.freeMemory()/1000000 + "MB");
		/*out.println("Heap memory used:" + runtime.totalMemory()*100/runtime.maxMemory()+ "%" 
			+ "- Free memory:"+ runtime.freeMemory()*100/runtime.maxMemory()+ "% <br>");*/
		out.println("<h3>Heap memory stats </h3>");
		for (MemoryPoolMXBean mpBean: ManagementFactory.getMemoryPoolMXBeans()) {			
			if (mpBean.getType() == MemoryType.HEAP) {
				MemoryUsage mu = mpBean.getUsage();
	     		out.println(mpBean.getName()+" Max:" + mu.getMax()/mbSize 
	     				+"MB, Committed:" + mu.getCommitted()/mbSize 
	     				+ "MB, Used:" + mu.getUsed()/mbSize 
	     				+ "MB Used:" + mu.getUsed()*100/mu.getCommitted() + "%<br>");
			}
		}
		
		out.println("<h3>Non-Heap memory stats </h3>");
		for (MemoryPoolMXBean mpBean: ManagementFactory.getMemoryPoolMXBeans()) {			
			if (mpBean.getType() != MemoryType.HEAP) {
				MemoryUsage mu = mpBean.getUsage();
	     		out.println(mpBean.getName()+" Max:" + mu.getMax()/mbSize 
	     				+"MB, Committed:" + mu.getCommitted()/mbSize 
	     				+ "MB, Used:" + mu.getUsed()/mbSize 
	     				+ "MB Used:" + mu.getUsed()*100/mu.getCommitted() + "%<br>");
			}
		}
		%>	
	</div>
  </section>
</div>

<script src="js/jquery.js"></script>
<!-- Bootstrap Core JavaScript -->
<script src="js/bootstrap.min.js"></script>
</body>
</html>